Subject: Re: Why is cygwin.dll?
From: [email-masked] (Jim Balter)

17 Jan 1997 20:21:40 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Ben Constable <[email-masked]>
Original-CC: Jeremy Blackman <[email-masked]>, "M.Carter" <[email-masked]>,
        [email-masked]
Original-Sender: [email-masked]

Ben Constable wrote:
> 
> > Yes, but my understanding was that many of the functions in cygwin.dll
> > are required.  At least for complex applications.  I know this because I
> > tried linking in only what I needed, and my 1 meg executable STILL grew
> > to 3.5 (granted, not the 4 I projected, but still pretty honkin' huge).
> 
> NT has a hell of a lot of stuff in it's API's. Stuff like printing
> characters, opening sockets and the such are all supported. I do not know
> that much about unix, but just what does unix have that requires 3.5MB of
> code to emulate for a few functions?

Why not go off and read the documentation and even the source code,
so this pointless thread can come to an end?  Obviously, if there's
3.5MB there, it is for *something*; the cygwin people didn't just
fill up the library with a lot of no-ops.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".